# Uses of Interface
org.springframework.test.web.reactive.server.WebTestClient.RequestBodyUriSpec

Packages that use WebTestClient.RequestBodyUriSpec
Package
Description
org.springframework.test.web.reactive.server
Support for testing Spring WebFlux server endpoints via `WebTestClient`.

## Uses of WebTestClient.RequestBodyUriSpec in org.springframework.test.web.reactive.server

Methods in org.springframework.test.web.reactive.server that return WebTestClient.RequestBodyUriSpec
Modifier and Type
Method
Description
`WebTestClient.RequestBodyUriSpec`
WebTestClient.`method(org.springframework.http.HttpMethod method)`
Prepare a request for the specified `HttpMethod`.
`WebTestClient.RequestBodyUriSpec`
WebTestClient.`patch()`
Prepare an HTTP PATCH request.
`WebTestClient.RequestBodyUriSpec`
WebTestClient.`post()`
Prepare an HTTP POST request.
`WebTestClient.RequestBodyUriSpec`
WebTestClient.`put()`
Prepare an HTTP PUT request.